Bug 864681 - missing abstract-jboss/info/manifest.yml when doing oo-cartridge-list in devenv
missing abstract-jboss/info/manifest.yml when doing oo-cartridge-list in devenv
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 18:32 EDT by Peter Ruan
Modified: 2015-05-14 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2012-10-09 18:32:15 EDT
Description of problem:
[root@ip-10-203-38-225 ~]# oo-cartridge-list 
No such file or directory - /usr/libexec/openshift/cartridges/abstract-jboss/info/manifest.yml
["/usr/lib/ruby/gems/1.8/gems/openshift-origin-node-0.17.7/lib/openshift-origin-node/model/node.rb:34:in `initialize'", "/usr/lib/ruby/gems/1.8/gems/openshift-origin-node-0.17.7/lib/openshift-origin-node/model/node.rb:34:in `open'", "/usr/lib/ruby/gems/1.8/gems/openshift-origin-node-0.17.7/lib/openshift-origin-node/model/node.rb:34:in `get_cartridge_list'", "/usr/lib/ruby/gems/1.8/gems/openshift-origin-node-0.17.7/lib/openshift-origin-node/model/node.rb:29:in `foreach'", "/usr/lib/ruby/gems/1.8/gems/openshift-origin-node-0.17.7/lib/openshift-origin-node/model/node.rb:29:in `get_cartridge_list'", "/usr/lib/ruby/gems/1.8/gems/openshift-origin-node-0.17.7/bin/oo-cartridge-list:64", "/usr/bin/oo-cartridge-list:19:in `load'", "/usr/bin/oo-cartridge-list:19"]
Cartridges:
	mongodb-2.2
	nodejs-0.6
	cron-1.4
	mysql-5.1
	zend-5.6
	ruby-1.9
	postgresql-8.4
	jbossas-7
	haproxy-1.4
	10gen-mms-agent-0.1
	python-2.6
	jenkins-1.4
	ruby-1.8
	phpmyadmin-3.4
	metrics-0.1
	phpmoadmin-1.0
	jbosseap-6.0
	rockmongo-1.1
	diy-0.1
	jenkins-client-1.4
	php-5.3
	perl-5.10


Version-Release number of selected component (if applicable):

devenv_2303

How reproducible:
always

Steps to Reproduce:
1. log into devenv
2. oo-cartridge-list
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jhon Honce 2012-10-10 11:16:22 EDT
abstract-jboss should not be included in this list. Updated exclusion code.

Fixed in https://github.com/openshift/origin-server/pull/633

# oo-cartridge-list
Cartridges:
	mongodb-2.2
	nodejs-0.6
	cron-1.4
	mysql-5.1
	zend-5.6
	ruby-1.9
	postgresql-8.4
	jbossas-7
	haproxy-1.4
	10gen-mms-agent-0.1
	python-2.6
	jenkins-1.4
	ruby-1.8
	phpmyadmin-3.4
	metrics-0.1
	phpmoadmin-1.0
	jbosseap-6.0
	rockmongo-1.1
	diy-0.1
	jenkins-client-1.4
	php-5.3
	perl-5.10
Comment 2 Jianwei Hou 2012-10-11 02:03:59 EDT
Verified on devenv_2311

Steps:
On instance:
[root@domU-12-31-38-04-2A-A9 ~]# oo-cartridge-list 
Cartridges:
	mongodb-2.2
	nodejs-0.6
	cron-1.4
	mysql-5.1
	zend-5.6
	ruby-1.9
	postgresql-8.4
	jbossas-7
	haproxy-1.4
	10gen-mms-agent-0.1
	python-2.6
	jenkins-1.4
	ruby-1.8
	phpmyadmin-3.4
	metrics-0.1
	phpmoadmin-1.0
	jbosseap-6.0
	rockmongo-1.1
	diy-0.1
	jenkins-client-1.4
	php-5.3
	perl-5.10

Note You need to log in before you can comment on or make changes to this bug.